Summary: Basic authentication for the Apache web server using a PostgreSQL database.
Name: mod_auth_pgsql
Version: 0.9.8
Release: 1
Group: System Environment/Daemons
URL: http://www.giuseppetanzilli.it/mod_auth_pgsql/
Source: http://www.giuseppetanzilli.it/mod_auth_pgsql/dist/mod_auth_pgsql-%{version}.tar.gz
License: BSDish
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: apache-devel, postgresql-devel
Requires: webserver

%description
mod_auth_pgsql can be used to limit access to documents served by a web server
by checking fields in a table in a PostgresQL database.

%prep
%setup

%build
%{_sbindir}/apxs -I%{_includedir}/pgsql -c -o %{name}.so *.c -lpq

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/apache
install -m755 %{name}.so $RPM_BUILD_ROOT%{_libdir}/apache/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README *.html
%{_libdir}/apache/*.so

%changelog
* Wed Sep  5 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 0.9.8, fixing problems detailed at
  http://cert.uni-stuttgart.de/advisories/apache_auth.php

* Fri May 25 2001 Nalin Dahyabhai <nalin@redhat.com>
- initial package
